function Talented:GetPetClass()
	local _, icon = GetTalentTabInfo(1, nil, true)
	if icon == "Interface\\Icons\\Ability_Druid_Swipe" then
		return "Ferocity"
	elseif icon == "Interface\\Icons\\Ability_Hunter_Pet_Bear" then
		return "Tenacity"
	elseif icon == "Interface\\Icons\\Ability_Hunter_CombatExperience" then
		return "Cunning"
	end
end

if select(2, UnitClass"player") ~= "HUNTER" then return end

function Talented:PET_TALENT_POINTS_CHANGED()
	local info
	local template = self.pet_current
	if not template then
		local class = self:GetPetClass()
		if not class then return end
		template = {
			pet = true,
			name = "Current",
			class = class,
		}
		self.pet_current = template
		info = self:GetPetInfo(class)
		if not info then
			error(("Unable to get talent for class %s, %s"):format(class, "pet"))
		end
	else
		info = self:GetPetInfo(template.class)
	end
	local total = 0
	for index in ipairs(info.talents) do
		local rank = select(5, GetTalentInfo(1, index, nil, true))
		template[index] = rank
		total = total + rank
	end
	self.pet_maxpoints = total + GetPetTalentPoints()
	if self.template == self.pet_current then
		self:UpdateTooltip()
	end
end
